# Submitting issues

### uBlock <3's you

First of all, thank you for taking the time to help improve uBlock!

---

### **Please only submit bugs/issues to the GitHub issue tracker.**

The [uBlock subreddit /r/ublock](https://reddit.com/r/ublock) is the appropriate place to make suggestions or ask for specific help/advice/troubleshooting.

---

### What to include

<table><tr><td>
<h4>Always include a URL!</h4></td><td>
<img src ="http://i.imgur.com/K7nOuGdt.jpg" height="80">
</td></tr></table>

Even if the issue "occurs everywhere." This is so important it deserves its own header.

---

To help us diagnose and fix the problem, please *always, always* include the following in your report:

* A clear list of steps to reproduce the problem
  * Again, **always include a URL**, _even_ if "it happens everywhere".
* Symptoms of the issue
  * Describe what you observe and consider broken behavior; this is what we'll be looking for after executing the steps
  * Example: video doesn't start playing, page layout broken
* A screenshot of **any** of uBlock's preferences that differ from the defaults
  * This includes a whitelisted website, enabled/disabled filter list, anything
  * Please do include everything different from the defaults whether or not it seems relevant to your issue
* The version of uBlock you're having the issue with; you can find this in [uBlock's popup UI](https://github.com/chrisaljoudi/uBlock/wiki/Quick-guide:-popup-user-interface)
  * Example: `uBlock 0.9.0.0`
* The browser you're using and its version
  * Examples: `Firefox 36`, `Safari 8.0.5`, `Chrome 41.0.2272` 
* The OS you're using and its version
  * Examples: `OS X 10.10`, `Windows 8.1`, `Linux Mint 17.1`
* A list of other extensions you have installed
  * Tip: try disabling them and see if your issue still occurs

By following this format, you'd be greatly increasing the efficiency of resolving the issue.

Otherwise, we've noticed that a lot of ***your*** time (and the developers') gets thrown away on exchanging back and forth to get this information.
